glab(1)

NAME

glab-config - Set and get glab settings.

SYNOPSIS

glab config [flags]

DESCRIPTION

Get and set key/value strings.

Current respected settings:

    •   token: Your GitLab access token. Defaults to environment variables.

    •   host: If unset, defaults to https://gitlab.com.

    •   browser: If unset, uses the default browser. Override with environment variable $BROWSER.

    •   editor: If unset, uses the default editor. Override with environment variable $EDITOR.

    •   visual: Takes precedence over 'editor'. If unset, uses the default editor. Override with environment variable $VISUAL.

    •   glamour_style: Your desired Markdown renderer style. Options are dark, light, notty. Custom styles are available using glamour ⟨https://github.com/charmbracelet/glamour#styles⟩.

    •   glab_pager: Your desired pager command to use, such as 'less -R'.

    •   check_update: If true, notifies of new versions of glab. Defaults to true. Override with environment variable $GLAB_CHECK_UPDATE.

    •   display_hyperlinks: If true, and using a TTY, outputs hyperlinks for issues and merge request lists. Defaults to false.

OPTIONS

-g, --global[=false]
    Use global config file.

OPTIONS INHERITED FROM PARENT COMMANDS

--help[=false]
    Show help for this command.

SEE ALSO

glab(1), glab-config-get(1), glab-config-set(1)